Jump to content
Eternal Lands Official Forums
gordong11

Ubuntu 9.10, EL crashing at startup...please help

Recommended Posts

I am running Ubuntu 9.10 w/ an Nvidia 7900 GT/GTO with linux driver version 185.

 

Everytime I start EL it crashes after choosing a server from the launcher window. I have updated sound and music files, but still the same result. Here is the error log:

 

When I type "eternallands" in the terminal..this is what i get:

 

 

rob@rob-desktop:~$ eternallands

/usr/games/eternallands: line 149: 3318 Segmentation fault /usr/games/el.x86.linux.bin $config $* &>~/.elc/terminal_log.txt

 

game output:

 

Log started at 2009-11-18 20:58:14 localtime (EST)

 

[20:58:14] Using the server profile: main

[20:58:14] Window size adjusted to 1014x713

[20:58:14] GL_ARB_multitexture extension found, using it.

[20:58:14] GL_EXT_compiled_vertex_array extension found, using it.

[20:58:14] GL_ARB_point_sprite extension found, using it.

[20:58:14] GL_ARB_texture_compression extension found, using it.

[20:58:14] GL_EXT_texture_compression_s3tc extension found, using it.

[20:58:14] GL_SGIS_generate_mipmap extension found, using it.

[20:58:14] GL_ARB_shadow extension found, using it.

[20:58:14] GL_ARB_vertex_buffer_object extension found, using it.

[20:58:14] GL_EXT_framebuffer_object extension found, using it.

[20:58:14] GL_EXT_draw_range_elements extension found, using it.

[20:58:14] GL_ARB_texture_non_power_of_two extension found, using it.

[20:58:14] GL_ARB_fragment_program extension found, using it.

[20:58:14] GL_ARB_vertex_program extension found, using it.

[20:58:14] GL_ARB_fragment_shader extension found, using it.

[20:58:14] GL_ARB_vertex_shader extension found, using it.

[20:58:14] GL_ARB_shader_objects extension found, using it.

[20:58:14] GL_ARB_shading_language_100 extension found, using it.

[20:58:14] GL_ARB_texture_mirrored_repeat extension found, NOT using it...

[20:58:14] GL_ARB_texture_rectangle extension found, NOT using it...

[20:58:14] GL_EXT_fog_coord extension found, NOT using it...

[20:58:14] Couldn't find the GL_ATI_texture_compression_3dc extension, not using it...

[20:58:14] Couldn't find the GL_EXT_texture_compression_latc extension, not using it...

 

This was the program output: Note it is overwritten each time you run the game.

 

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

 

Any ideas? Thanks

Share this post


Link to post
Share on other sites

Is this the release 1.8.0 client? or recent CVS?

 

Are you using the (bluap's) ubuntu packages repo? ( https://help.ubuntu.com/community/EternalLands )

 

Do you get the same problem with the binaries from the standard/generic linux 1.8.0 release? ( http://www.eternal-lands.com/page/download.php ) (el.x86.linux.bin and el.x86.linux.alt.bin, try both)

Share this post


Link to post
Share on other sites
Is this the release 1.8.0 client? or recent CVS?

 

Are you using the (bluap's) ubuntu packages repo? ( https://help.ubuntu.com/community/EternalLands )

 

Do you get the same problem with the binaries from the standard/generic linux 1.8.0 release? ( http://www.eternal-lands.com/page/download.php ) (el.x86.linux.bin and el.x86.linux.alt.bin, try both)

 

 

I am using the 1.8.0 client, installed with the ubuntu gui tools .sh package. I was using the el.x86.linux.bin on 9.04 install and it load 1 time, but then the exact same issue. I am forced to play with my Win7 RC1 dual boot, but will expire soon.

 

When i start the game, sometimes it will crash immed and sometimes it will almost make it to the "click screen to continue", it random...but always cashes. BTW Im using 9.10 KArmic and using nvidia 185 driver(recommended driver) and is activated. always the same error log.

Edited by gordong11

Share this post


Link to post
Share on other sites
I had the same when updating to 9.10.

 

Installing an older version of the NVIDIA drivers fixed it for me (OpenGL Version: 2.1.2 NVIDIA 173.14.20)

 

Piper

 

 

DUDE!!! GENIUS!!!! U DID IT!!!...

Thank you Piper!!!!

Edited by gordong11

Share this post


Link to post
Share on other sites

Well considering EL ran fine for me on Debian Testing with 185x series drivers, and runs fine for me on Arch with 190x series drivers, but i had problems with it on Ubuntu 9.10, probably best to not be so quick to blame nVidia, atm if my finger were to be pointed anywhere, it'd be at Ubuntu...

 

Glad to hear you got it going though :)

Share this post


Link to post
Share on other sites
Well considering EL ran fine for me on Debian Testing with 185x series drivers, and runs fine for me on Arch with 190x series drivers, but i had problems with it on Ubuntu 9.10, probably best to not be so quick to blame nVidia, atm if my finger were to be pointed anywhere, it'd be at Ubuntu...

 

Glad to hear you got it going though :)

 

 

Actually, I will delete that, because the new nvidia 190.42(deemed stable) drivers work as well.

 

http://www.ubuntugeek.com/install-nvidia-g...repidhardy.html

 

fopr Karmic you have change apt lines manually, from "jaunty main" to "karmic main". Follow instructions and it will even be added to System>Administration>HardwareDrivers menu.

Share this post


Link to post
Share on other sites

This problem has nothing to do with nvidia. I have the same problem in my Laptop using ubuntu 9.10 and an ati card.

And this bug or whatever it is affects many other programms not just el.

Someone solved this problem by enabling again bluetooth services.

 

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

 

el.x86.linux.bin: radeon_mipmap_tree.c:117: compute_tex_image_offset: Assertion `lvl->size > 0' failed.

 

The last part is a bug that has to do with the open soutce ati driver.

Edited by agis29

Share this post


Link to post
Share on other sites
This problem has nothing to do with nvidia. I have the same problem in my Laptop using ubuntu 9.10 and an ati card.

And this bug or whatever it is affects many other programms not just el.

Someone solved this problem by enabling again bluetooth services.

 

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

bt_audio_service_open: connect() failed: Connection refused (111)

 

el.x86.linux.bin: radeon_mipmap_tree.c:117: compute_tex_image_offset: Assertion `lvl->size > 0' failed.

 

The last part is a bug that has to do with the open soutce ati driver.

I think you are mistaken. The "bt_audio_service_open: connect() failed: Connection refused (111)" error has nothing to do with the crash. It is just an error message and does not cause a crash. With the NVIDIA drivers recommended for Ubuntu 9.10 (the 185 version) the client crashes on start-up 9 times out of 10. I have attempted to locate the cause of the crash but it moves around as you try to debug; usually a sign that memory has been corrupted. If you revert to the 173 driver (also available from the "hardware drivers" application) the crash goes away. The latest, stable 190 version also works fine but that has to be installed via a PPA. However, the bt_audio_service_open error remains and is still not fatal.

 

edit: However, you are quite right that starting Bluetooth services stops the bt_audio_service_open errors. ;) There's something wrong with that on a machine that does not have Bluetooth (I tested using a usb dongle that is seldom plugged in).

Edited by bluap

Share this post


Link to post
Share on other sites
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoticons maximum are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×